package com.jpattern.orm;

import java.io.Serializable;

import com.jpattern.orm.exception.OrmException;

/**
 * 
 * @author Francesco Cina
 *
 * 22/mag/2011
 * 
 * A map to contain all generated IOrmClassTool<T>
 * 
 */
public interface IOrmClassToolMap extends Serializable {

	<T> void put(Class<T> clazz , IOrmClassTool<T> ormClassTool);
	
	boolean containsTool(Class<?> clazz);
	
	<T> IOrmClassTool<T> getOrmClassTool(Class<T> clazz) throws OrmException;
	
}
