package com.jpattern.orm;


/**
 * 
 * @author Francesco Cina
 *
 * 22/mag/2011
 */
public class NullOrmClassToolMap implements IOrmClassToolMap {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Override
	public <T> void put(Class<T> clazz, IOrmClassTool<T> ormClassTool) {
	}

	@Override
	public boolean containsTool(Class<?> clazz) {
		return false;
	}

	@Override
	public <T> IOrmClassTool<T> getOrmClassTool(Class<T> clazz) {
		return null;
	}

}
