package com.jpattern.orm.query.expression;

/**
 * 
 * @author Francesco Cina
 *
 * 19/giu/2011
 */
public class IEqExpressionElement extends AExpressionElement {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public IEqExpressionElement(String property, Object value) {
		setProperty(property);
		setValue(value);
		setPropertyDecorator(new LowerCasePropertyDecorator());
		setValueDecorator(new LowerCasePropertyDecorator());
	}

	@Override
	public String getExpressionElementKey() {
		return "=";
	}

}
