package com.jpattern.orm.session;

import java.io.Serializable;
import java.sql.SQLException;

import com.jpattern.orm.IOrmClassToolMap;
import com.jpattern.orm.mapper.ITableMap;

/**
 * 
 * @author Francesco Cina
 *
 * 21/mag/2011
 */
public interface ISessionProvider extends Serializable {

	ISession getSession(IOrmClassToolMap ormClassToolMap);

	void updateTableMap(ITableMap tableMap, boolean enableDBScan) throws SQLException;
	
}
