package com.jpattern.orm.util;

import java.io.Serializable;


/**
 * 
 * @author Francesco Cina'
 *
 * 29/mar/2010
 */
public class GenericWrapper <E> implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private E value;
	
	public GenericWrapper(E value) {
		this.value = value;
	}
	
	public E getValue() {
		return value;
	}

	public void setValue(E value) {
		this.value = value;
	}

}