package com.jpattern.orm;

import java.io.Serializable;

import com.jpattern.orm.exception.OrmConfigurationException;

/**
 * 
 * @author Francesco Cina'
 *
 * 26/ago/2011
 */
public interface IJPOrmBase extends Serializable {

	<T> void register(Class<T> clazz) throws OrmConfigurationException;
	
	<T> void register(Class<T> clazz, boolean enableDBScan) throws OrmConfigurationException;
	
}
