package com.jpattern.orm;

import java.io.Serializable;

import com.jpattern.orm.crud.IOrmCRUDQuery;
import com.jpattern.orm.mapper.IClassMapper;

/**
 * 
 * @author Francesco Cina
 *
 * 22/mag/2011
 */
public interface IOrmClassTool<T> extends Serializable {

	IClassMapper<T> getClassMapper();
	
	IOrmPersistor<T> getOrmPersistor();
	
	IOrmCRUDQuery getOrmCRUDQuery();
}
