package com.jpattern.orm.session;

import java.io.Serializable;
import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * 
 * @author Francesco Cina
 *
 * 02/lug/2011
 * 
 * Permits to work on the ResultSet resulting of a query execution.
 */
public interface IResultSetReader<T> extends Serializable {

	T read(ResultSet resultSet) throws SQLException;

}
